Bug 156954 - archivers/lzo to be deprecated and expired
Summary: archivers/lzo to be deprecated and expired
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-11 10:20 UTC by Matthias Andree
Modified: 2011-07-17 15:41 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2011-05-11 10:20:07 UTC
Dear fellows,

Six years after the release of lzo-2.00, I'd like to discontinue the
lzo-1.08 port, it has been obsolete since six years. The required
upstream changes are minor, and I hope most upstreams have measures in
place that their code supports lzo 2.00+ right out of the box.

The number of direct dependencies, according the the INDEX, is rather
concise, and given below, sorted by maintainer:

clsung: archivers/p5-Compress-LZO and archivers/p5-POE-Filter-LZO
dinoex: security/tinc
lx: security/silktools
miwi: archivers/dact
sunpoet: archivers/p5-IO-Compress-Lzop
wen: devel/py-tables


Can I ask you to check if your port can be built with lzo2?  Unless I
hear objections, I'll remove lzo-1 end of May 2011.

See archivers/lzop or security/openvpn for examples how to deal with the
default version to be picked up.

This is taken from LZO 2's changelog:
<http://www.oberhumer.com/opensource/lzo/lzonews.php> (between 2.00 and 1.08)

  Upgrade instructions from LZO v1 to LZO v2:
  * On 64-bit architectures, revisit all uses of lzo_uint.
  * Adapt for the maximum expansion change of incompressible data.
  * If you use the progress callback then adapt for the new interface.
  * Use #include <lzo/lzoXXX.h> or adjust your include path.
  * Check your code for use of deprecated macros. Add a
    #define LZO_CFG_COMPAT if necessary.
  * Other than that LZO v2 should be fully source-compatible with LZO v1.
    Of course, the compressed data is fully compatible as well.
  * Re-compile and re-link your application.
  * Enjoy the improvements!

More details in the lzo 2.00 changelog entry.

Thank you!
Comment 1 Edwin Groothuis freebsd_committer 2011-05-11 10:20:17 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-05-11 10:20:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mandree

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 3 dfilter service freebsd_committer 2011-05-11 10:21:44 UTC
mandree     2011-05-11 09:21:31 UTC

  FreeBSD ports repository

  Modified files:
    archivers/lzo        Makefile 
  Log:
  Mark deprecated and for expiry.
  See http://www.freebsd.org/cgi/query-pr.cgi?pr=156954
  
  PR: ports/156954
  
  Revision  Changes    Path
  1.44      +3 -0      ports/archivers/lzo/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Po-Chuan Hsieh freebsd_committer 2011-05-11 10:53:52 UTC
Hi Matthias,

For my part, p5-IO-Compress-Lzop depends on p5-Compress-LZO. It builds
fine after patching p5-Compress-LZO. Thanks.

--- p5-Compress-LZO.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/archivers/p5-Compress-LZO/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	27 Mar 2008 00:49:05 -0000	1.2
+++ Makefile	11 May 2011 09:52:23 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	Compress-LZO
 PORTVERSION=	1.08
+PORTREVISION=	1
 CATEGORIES=	archivers perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -14,8 +15,9 @@
 MAINTAINER=	clsung@FreeBSD.org
 COMMENT=	Interface to the LZO compression library
 
-LIB_DEPENDS=	lzo:${PORTSDIR}/archivers/lzo
+LIB_DEPENDS=	lzo2:${PORTSDIR}/archivers/lzo2
 
+CFLAGS+=	-I${LOCALBASE}/include/lzo
 PERL_CONFIGURE=	yes
 
 post-patch:
--- p5-Compress-LZO.patch ends here ---

-- 
   Sunpoet Po-Chuan Hsieh <sunpoet at sunpoet.net> <sunpoet at FreeBSD.org>
           4096R/CC57E36B 8AD8 68F2 7D2B 0A10 7E9B 8CC0 DC44 247E CC57 E36B
	                     http://people.FreeBSD.org/~sunpoet/pgpkeys.txt
Comment 5 dfilter service freebsd_committer 2011-06-05 19:40:56 UTC
lx          2011-06-05 18:40:42 UTC

  FreeBSD ports repository

  Modified files:
    security/silktools   Makefile distinfo pkg-plist 
  Log:
  Update to 2.4.5, change lzo dependency to lzo2.
  
  PR:             ports/156954
  Submitted by:   Matthias Andree <mandree@FreeBSD.org>
  
  Revision  Changes    Path
  1.24      +5 -5      ports/security/silktools/Makefile
  1.15      +2 -3      ports/security/silktools/distinfo
  1.19      +11 -16    ports/security/silktools/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2011-07-07 01:27:51 UTC
mandree     2011-07-07 00:27:42 UTC

  FreeBSD ports repository

  Modified files:
    archivers/p5-Compress-LZO Makefile 
  Log:
  Switch to LZO2 in anticipation of LZO removal.
  
  Submitted by: Sunpoet Po-Chuan Hsieh (maintainer)
  PR:           ports/156954
  
  Revision  Changes    Path
  1.3       +3 -1      ports/archivers/p5-Compress-LZO/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2011-07-07 01:57:28 UTC
mandree     2011-07-07 00:57:15 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
  Removed files:
    archivers/lzo        Makefile distinfo pkg-descr pkg-plist 
    archivers/lzo/files  patch-configure patch-util-check.sh 
  Log:
  Remove expired port archivers/lzo.
  Note that some ports from the PR still need attention for the port to lzo2,
  devel/py-tables in particular (wen, are you there?)
  
  PR: ports/156954
  
  Revision  Changes    Path
  1.2503    +2 -1      ports/MOVED
  1.46      +0 -38     ports/archivers/lzo/Makefile (dead)
  1.10      +0 -2      ports/archivers/lzo/distinfo (dead)
  1.4       +0 -19     ports/archivers/lzo/files/patch-configure (dead)
  1.2       +0 -11     ports/archivers/lzo/files/patch-util-check.sh (dead)
  1.8       +0 -22     ports/archivers/lzo/pkg-descr (dead)
  1.18      +0 -21     ports/archivers/lzo/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2011-07-07 02:01:30 UTC
mandree     2011-07-07 01:01:17 UTC

  FreeBSD ports repository

  Modified files:
    archivers            Makefile 
  Log:
  archivers: Disconnect lzo (removed).
  Sorry for inconveniences because this was not part of the lzo removal commit.
  
  PR: ports/156954
  
  Revision  Changes    Path
  1.260     +0 -1      ports/archivers/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Matthias Andree freebsd_committer 2011-07-07 02:05:38 UTC
Hi Martin and Wen,

could you please look after ports/156954?

I've removed lzo now, five weeks after EXPIRATION_DATE, and your ports
haven't yet been updated, so I expect them to be more or less broken.

Thanks.

Best regards,
Matthias
Comment 10 Matthias Andree freebsd_committer 2011-07-07 02:07:44 UTC
State Changed
From-To: open->analyzed

mostly done, waiting for miwi and wen to fix their respective ports
Comment 11 dfilter service freebsd_committer 2011-07-07 02:29:12 UTC
mandree     2011-07-07 01:29:04 UTC

  FreeBSD ports repository

  Modified files:
    archivers/dact       Makefile 
    devel/py-tables      Makefile 
  Log:
  Repair INDEX after lzo removal. Mark broken.
  
  PR: ports/156954
  
  Revision  Changes    Path
  1.30      +5 -3      ports/archivers/dact/Makefile
  1.21      +3 -1      ports/devel/py-tables/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Matthias Andree freebsd_committer 2011-07-17 15:41:53 UTC
State Changed
From-To: analyzed->closed

archivers/lzo removed